ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-informacion/fw-articulo-detalles-informacion.component.html

<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Sku</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Sku" placeholder="Sku" name="Sku" required="" size="sm" id="txtSku"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Referencia</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Referencia" placeholder="Referencia" name="Referencia" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Código alterno</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Codalterno" placeholder="Código Alterno" name="Referencia" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Costo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Costo" placeholder="Costo" name="Costo" required="" size="sm" borderDer0="borderDer0" id="txtCosto"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Iva</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Iva" placeholder="Iva" size="sm" borderDer0="borderDer0" id="txtCosto"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio1</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio1 ? 'number' : 'password'" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Precio1" placeholder="Precio1" name="Precio1" required="" size="sm" borderDer0="borderDer0" id="txtPrecio1"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio2</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio2 ? 'number' : 'password'" SoloNumeros="decimal" [(ngModel)]="tArticulo.Precio2" placeholder="Precio2" name="Precio2" size="sm" borderDer0="borderDer0" id="txtPrecio2"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio3</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio3 ? 'number' : 'password'" SoloNumeros="decimal" [(ngModel)]="tArticulo.Precio3" placeholder="Precio3" name="Precio3" size="sm" borderDer0="borderDer0" id="txtPrecio3"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio Lista</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecioLista ? 'number' : 'password'" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Preciolista" placeholder="Precio" name="Preciolista" required="" size="sm" borderDer0="borderDer0" id="txtPreciolista"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tipo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoActual" (change)="CambiarTipo()" size-select="sm">
            <option *ngFor="let tTipo of tTipos" [ngValue]="tTipo">{{tTipo.Codtipo}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Unidad</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tUnidadActual" (change)="CambiarUnidadMedida()" size-select="sm">
            <option *ngFor="let tUnidad of tUnidades" [ngValue]="tUnidad">[ {{tUnidad.Codunidadmedida}} ] {{ tUnidad.Descripcion }} - Factor: {{ tUnidad.Factor_venta }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalUnidadesMedida()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Color</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-palette"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tColorActual" (change)="CambiarColor()" size-select="sm">
            <option *ngFor="let tColor of tColores" [ngValue]="tColor">[ {{tColor.Codcolor}} ] {{ tColor.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalColores()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Lotes</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tArticulo.Maneja_lotes" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Seriales</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tArticulo.Maneja_seriales" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Peso</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-weight"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Peso" placeholder="Peso" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">Kg</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Volumen</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-prescription-bottle"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Volumen" placeholder="Volumen" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">L</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Alto</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-vertical"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Alto" placeholder="Alto" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Ancho</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-horizontal"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Ancho" placeholder="Ancho" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Largo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-combined"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Largo" placeholder="Largo" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Tallas</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <select class="ControlInput--Select" (change)="CambiarTallas()" [(ngModel)]="tArticulo.Maneja_tallas" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_inicial" placeholder="Inicial"/>
      </div>
      <div class="form-group col-12 col-lg-3">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_final" placeholder="Final"/>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tallas Intermedias</label>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <select class="ControlInput--Select" (change)="BloquearTallas()" [disabled]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_intermedias" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_sugerida" placeholder="Talla Sugerida"/>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Vencimientos</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
          <select class="ControlInput--Select" (change)="CambiarVencimiento()" [(ngModel)]="tArticulo.Maneja_vencimiento" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="form-row">
          <div class="form-group col-6">
            <label class="form-label h6" for="txtDias_vencimiento_r">Días en recepción</label>
          </div>
          <div class="form-group col-6">
            <label class="form-label h6" for="txtDias_vencimiento_d">Días en despacho</label>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-pallet"></i></span></div>
              <input class="ControlInput--Input" SoloNumeros="number" type="number" min="0" [disabled]="BloquearVencimiento()" [(ngModel)]="tArticulo.Dias_vencimiento_r" placeholder="Recepción" name="Dias_vencimiento_r" required="" size="sm" id="txtDias_vencimiento_r"/>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-truck-loading"></i></span></div>
              <input class="ControlInput--Input" SoloNumeros="number" type="number" min="0" [disabled]="BloquearVencimiento()" [(ngModel)]="tArticulo.Dias_vencimiento_d" placeholder="Recepción" name="Dias_vencimiento_d" required="" size="sm" id="txtDias_vencimiento_d"/>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/Componentes/fw-articulo-detalles-informacion/fw-articulo-detalles-informacion.component.pug
div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Información General
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Sku
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                [(ngModel)]="tArticulo.Sku",
                placeholder="Sku",
                name="Sku",
                required="",
                size="sm")#txtSku.ControlInput--Input
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Referencia
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                      [(ngModel)]="tArticulo.Referencia",
                      placeholder="Referencia",
                      name="Referencia",
                      size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Código alterno
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-barcode
          input(type="text",
                [(ngModel)]="tArticulo.Codalterno",
                placeholder="Código Alterno",
                name="Referencia",
                size="sm").ControlInput--Input
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Costo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input(type="number",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Costo",
                placeholder="Costo",
                name="Costo",
                required="",
                size="sm",
                borderDer0)#txtCosto.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Iva
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-dollar-sign
          input(type="number",
                SoloNumeros="decimal",
                min="0",
                [(ngModel)]="tArticulo.Iva",
                placeholder="Iva",
                size="sm",
                borderDer0)#txtCosto.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio1
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio1 ? 'number' : 'password'",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Precio1",
                placeholder="Precio1",
                name="Precio1",
                required="",
                size="sm",
                borderDer0)#txtPrecio1.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio2
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio2 ? 'number' : 'password'",
                SoloNumeros="decimal",
                [(ngModel)]="tArticulo.Precio2",
                placeholder="Precio2",
                name="Precio2",
                size="sm",
                borderDer0)#txtPrecio2.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
                span.fas {{ tEmpresa.Simbolo }}
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio3
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecio3 ? 'number' : 'password'",
                SoloNumeros="decimal",
                [(ngModel)]="tArticulo.Precio3",
                placeholder="Precio3",
                name="Precio3",
                size="sm",
                borderDer0)#txtPrecio3.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
                span.fas {{ tEmpresa.Simbolo }}
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Precio Lista
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-dollar-sign
          input([type]="tVprecioLista ? 'number' : 'password'",
                SoloNumeros="decimal",
                min="1",
                [(ngModel)]="tArticulo.Preciolista",
                placeholder="Precio",
                name="Preciolista",
                required="",
                size="sm",
                borderDer0)#txtPreciolista.ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas {{ tEmpresa.Simbolo }}
  div.form-group.col-12.col-lg-6
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tipo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-shapes
          select([(ngModel)]="tTipoActual",
                (change)="CambiarTipo()",
                size-select="sm").ControlInput--Select
            option(*ngFor="let tTipo of tTipos", [ngValue]="tTipo") {{tTipo.Codtipo}}
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Unidad
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-shapes
          select([(ngModel)]="tUnidadActual",
                (change)="CambiarUnidadMedida()"
                size-select="sm").ControlInput--Select
            option(*ngFor="let tUnidad of tUnidades",
              [ngValue]="tUnidad") [ {{tUnidad.Codunidadmedida}} ] {{ tUnidad.Descripcion }} - Factor: {{ tUnidad.Factor_venta }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalUnidadesMedida()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Color
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-palette
          select([(ngModel)]="tColorActual",
                (change)="CambiarColor()"
                size-select="sm").ControlInput--Select
            option(*ngFor="let tColor of tColores", [ngValue]="tColor") [ {{tColor.Codcolor}} ] {{ tColor.Descripcion }}
          div.ControlInput--ContenedorBoton
            button(type="button", (click)="AbrirModalColores()").ControlInput--ContenedorBoton-Boton
              i.fas.fa-search
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Lotes
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-boxes
          select([(ngModel)]="tArticulo.Maneja_lotes",
                  size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Seriales
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-boxes
          select([(ngModel)]="tArticulo.Maneja_seriales",
            size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
    div.form-row
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Peso
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-weight
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Peso",
              placeholder="Peso",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas Kg
      div.form-group.col-12.col-lg-6
        label.form-label.h6 Volumen
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-prescription-bottle
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Volumen",
              placeholder="Volumen",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas L
    div.form-row
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Alto
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-ruler-vertical
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Alto",
              placeholder="Alto",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Ancho
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-ruler-horizontal
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Ancho",
              placeholder="Ancho",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
      div.form-group.col-12.col-md-6.col-lg-4
        label.form-label.h6 Largo
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-ruler-combined
          input(type="number",
              SoloNumeros="decimal",
              min="0",
              [(ngModel)]="tArticulo.Largo",
              placeholder="Largo",
              size="sm",
              borderDer0).ControlInput--Input
          div.ControlInput--ContenedorIconoAppend
            span.ControlInput--ContenedorIconoAppend-Icono
              span.fas M
div.form-row
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-info.mr-2
          span Tallas
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-box
          select((change)="CambiarTallas()",
                  [(ngModel)]="tArticulo.Maneja_tallas",
                  size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-3
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_inicial",
            placeholder="Inicial").form-control.form-control-sm
      div.form-group.col-12.col-lg-3
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_final",
            placeholder="Final").form-control.form-control-sm
    div.form-row
      div.form-group.col-12
        label.form-label.h6 Tallas Intermedias
    div.form-row
      div.form-group.col-12.col-lg-6
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-box
          select((change)="BloquearTallas()",
                [disabled] ="BloquearTallas()",
                [(ngModel)]="tArticulo.Talla_intermedias",
                size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
      div.form-group.col-12.col-lg-6
        input(type="text",
            [readonly]="BloquearTallas()",
            [(ngModel)]="tArticulo.Talla_sugerida",
            placeholder="Talla Sugerida").form-control.form-control-sm
  div.form-group.col-12.col-lg-6
    div.form-row.border-bottom-secondary.mb-2
      div.form-group.col-12
        h5.card-title.mb-0.text-gray-800
          span.fas.fa-info.mr-2
          span Vencimientos
    div.form-row
      div.form-group.col-12
        div.ControlInput
          div.ControlInput--ContenedorIcono
            span.ControlInput--ContenedorIcono-Icono
              i.fas.fa-calendar-alt
          select((change)="CambiarVencimiento()",
              [(ngModel)]="tArticulo.Maneja_vencimiento",
              size-select="sm").ControlInput--Select
            option(value="S") Sí
            option(value="N") No
    div.form-row
      div.form-group.col-12
        div.form-row
          div.form-group.col-6
              label(for="txtDias_vencimiento_r").form-label.h6 Días en recepción
          div.form-group.col-6
              label(for="txtDias_vencimiento_d").form-label.h6 Días en despacho
        div.form-row
          div.form-group.col-12.col-lg-6
              div.ControlInput
                div.ControlInput--ContenedorIcono
                  span.ControlInput--ContenedorIcono-Icono
                    i.fas.fa-pallet
                input(SoloNumeros="number",
                        type="number",
                        min="0",
                        [disabled]="BloquearVencimiento()",
                        [(ngModel)]="tArticulo.Dias_vencimiento_r",
                        placeholder="Recepción",
                        name="Dias_vencimiento_r",
                        required="",
                        size="sm")#txtDias_vencimiento_r.ControlInput--Input
          div.form-group.col-12.col-lg-6
            div.ControlInput
              div.ControlInput--ContenedorIcono
                span.ControlInput--ContenedorIcono-Icono
                  i.fas.fa-truck-loading
              input(SoloNumeros="number",
                      type="number",
                      min="0",
                      [disabled]="BloquearVencimiento()",
                      [(ngModel)]="tArticulo.Dias_vencimiento_d",
                      placeholder="Recepción",
                      name="Dias_vencimiento_d",
                      required="",
                      size="sm")#txtDias_vencimiento_d.ControlInput--Input
